Loading...
Searching...
No Matches
casacore::MSObservationGram_global_functions_MSObservationGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSObservationGram.h>`

## Public Member Functions

TableExprNode | msObservationGramParseCommand (const MeasurementSet *ms, const MSObservation &obsSubTable, const TableExprNode &colAsTEN, const String &command, Vector< Int > &idList)
| Declare the bison parser (is implemented by bison command).
TableExprNode | baseMSObservationGramParseCommand (MSObservationParse *parser, const TableExprNode &colAsTEN, const String &command, Vector< Int > &selectedIDs)
void | MSObservationGramerror (const char *)
| The yyerror function for the parser.
void | msObservationGramParseDeleteNode ()
| Give the table expression node.
Int & | msObservationGramPosition ()
| Give the current position in the string.
int | msObservationGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSObservationGram

### Intended use:

Internal

### Prerequisite

- MSObservationGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 71 of file MSObservationGram.h.

## Member Function Documentation

## baseMSObservationGramParseCommand()

TableExprNode casacore::MSObservationGram_global_functions_MSObservationGramFunctions::baseMSObservationGramParseCommand | ( | MSObservationParse * | parser,
|  | const TableExprNode & | colAsTEN,
|  | const String & | command,
|  | Vector< Int > & | selectedIDs )

## MSObservationGramerror()

void casacore::MSObservationGram_global_functions_MSObservationGramFunctions::MSObservationGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msObservationGramInput()

int casacore::MSObservationGram_global_functions_MSObservationGramFunctions::msObservationGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msObservationGramParseCommand()

TableExprNode casacore::MSObservationGram_global_functions_MSObservationGramFunctions::msObservationGramParseCommand | ( | const MeasurementSet * | ms,
|  | const MSObservation & | obsSubTable,
|  | const TableExprNode & | colAsTEN,
|  | const String & | command,
|  | Vector< Int > & | idList )

Declare the bison parser (is implemented by bison command).

## msObservationGramParseDeleteNode()

void casacore::MSObservationGram_global_functions_MSObservationGramFunctions::msObservationGramParseDeleteNode | ( |  | ) |

Give the table expression node.

const TableExprNode *msObservationGramParseNode();

## msObservationGramPosition()

Int & casacore::MSObservationGram_global_functions_MSObservationGramFunctions::msObservationGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSObservationGram.h